<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___a_i_o_s__definitions" kind="group">
    <compoundname>group_ble_service_api_AIOS_definitions</compoundname>
    <title>AIOS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__aioss__char__t">cy_stc_ble_aioss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aioss__char__info__ptr__t">cy_stc_ble_aioss_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aioss__t">cy_stc_ble_aioss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aiosc__char__t">cy_stc_ble_aiosc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aiosc__char__info__ptr__t">cy_stc_ble_aiosc_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aiosc__t">cy_stc_ble_aiosc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aios__char__value__t">cy_stc_ble_aios_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aios__descr__value__t">cy_stc_ble_aios_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aioss__config__t">cy_stc_ble_aioss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aiosc__config__t">cy_stc_ble_aiosc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___a_i_o_s__definitions_1gaef3e5bf38ffd6a7a302ab1d6c4254644" kind="enum" prot="public" static="no">
        <name>cy_en_ble_aios_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1ggaef3e5bf38ffd6a7a302ab1d6c4254644a7c90aff040d3ba2b4fed783df5d44d3e" prot="public">
          <name>CY_BLE_AIOS_DIGITAL</name>
          <briefdescription>
<para>AIOS Digital Characteristic. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1ggaef3e5bf38ffd6a7a302ab1d6c4254644afee43e0a54d03186858a95ed3c875c9b" prot="public">
          <name>CY_BLE_AIOS_ANALOG</name>
          <briefdescription>
<para>AIOS Analog Characteristic. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1ggaef3e5bf38ffd6a7a302ab1d6c4254644ae6f6ac738cfefd2e73c034c67f039fed" prot="public">
          <name>CY_BLE_AIOS_AGGREGATE</name>
          <briefdescription>
<para>AIOS Aggregate Characteristic. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1ggaef3e5bf38ffd6a7a302ab1d6c4254644a3b743c843fcc2c4f091235513ee43f1f" prot="public">
          <name>CY_BLE_AIOS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of AIOS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_aios_char_index_t: </bold><linebreak />AIOS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="62" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___a_i_o_s__definitions_1ga07ab5fc8cc268ccb1c4da551847ab8ea" kind="enum" prot="public" static="no">
        <name>cy_en_ble_aios_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa0ae7a97470874eebde4c0408194491b1" prot="public">
          <name>CY_BLE_AIOS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa383161323cd509cd14628c7e689494aa" prot="public">
          <name>CY_BLE_AIOS_CHAR_PRESENTATION_FORMAT</name>
          <briefdescription>
<para>Characteristic Presentation Format Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa5aa55ee0781edd02e9e5a0a7d19ab95f" prot="public">
          <name>CY_BLE_AIOS_CHAR_USER_DESCRIPTION_DESCR</name>
          <briefdescription>
<para>Characteristic User Description Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa4e64cd9920960d95ccc819d2fbf54047" prot="public">
          <name>CY_BLE_AIOS_CHAR_EXTENDED_PROPERTIES</name>
          <briefdescription>
<para>Characteristic Extended Properties Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa2e094906240e40582e46ee01d6d52f68" prot="public">
          <name>CY_BLE_AIOS_VALUE_TRIGGER_SETTINGS</name>
          <briefdescription>
<para>AIO Value Trigger Settings Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa3db663220e2ce10d8ff6d5a37b13bb87" prot="public">
          <name>CY_BLE_AIOS_TIME_TRIGGER_SETTINGS</name>
          <briefdescription>
<para>AIO Time Trigger Settings Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa4959ed38de4e1901ab9aa1bc54ba597b" prot="public">
          <name>CY_BLE_AIOS_VRD</name>
          <briefdescription>
<para>Valid Range Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa33d2f5b0a90d3c803ff178d2f8481621" prot="public">
          <name>CY_BLE_AIOS_NUM_OF_DIGITAL_DESCR</name>
          <initializer>= 0x06</initializer>
          <briefdescription>
<para>Number of Digitals Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_i_o_s__definitions_1gga07ab5fc8cc268ccb1c4da551847ab8eaa39962cf44455197999b5b84e10025843" prot="public">
          <name>CY_BLE_AIOS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_aios_descr_index_t: </bold><linebreak />AIOS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="81" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="71" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the AIOS specific definitions and data structures used in the AIOS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>